explain_iconv_or_die(3)

NAME
explain_iconv_or_die - perform character set conversion and report errors

SYNOPSIS
#include <libexplain/iconv.h>

size_t explain_iconv_or_die(iconv_t cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft);
size_t explain_iconv_on_error(iconv_t cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft);

DESCRIPTION
The explain_iconv_or_die function is used to call the iconv(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_iconv(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_iconv_on_error function is used to call the iconv(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_iconv(3) function, but still returns to the caller.

cd  The cd, exactly as to be passed to the iconv(3) system call.

inbuf
    The inbuf, exactly as to be passed to the iconv(3) system call.

inbytesleft
    The inbytesleft, exactly as to be passed to the iconv(3) system call.

outbuf
    The outbuf, exactly as to be passed to the iconv(3) system call.

outbytesleft
    The outbytesleft, exactly as to be passed to the iconv(3) system call.

RETURN VALUE
The explain_iconv_or_die function only returns on success, see iconv(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_iconv_on_error function always returns the value return by the wrapped iconv(3) system call.

EXAMPLE
The explain_iconv_or_die function is intended to be used in a fashion similar to the following example:
    size_t result = explain_iconv_or_die(cd, inbuf, inbytesleft, outbuf,
        outbytesleft);

SEE ALSO

iconv(3)
    perform character set conversion

explain_iconv(3)
    explain iconv(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller